[DEFAULT]
#============Seta Configuration ========#

#corpus
DEFAULT_SUGGESTION = 10
DEFAULT_TERM_NUMBER = 20
DEFAULT_DOCS_NUMBER = 10
DEFAULT_FROM_DOC_NUMBER = 0
PAGINATION_DOC_LIMIT = 5000
SEARCH_TYPES = DOCUMENT_SEARCH,CHUNK_SEARCH,ALL_CHUNKS_SEARCH
AGG_MISSING_NAME = NO_CLASS
KNN_SEARCH_K = 150
KNN_SEARCH_NUM_CANDIDATES = 150
SIMILARITY_THRESHOLD = 0.4

#term enrichment
DEFAULT_ENRICHMENT_TYPE = similar

#export
EXPORT_DOCUMENT_LIMIT = 5000

#ElasticSearch
ES_INIT_DATA_DUMP_FILE = seta-public-000001-8.2-data.zip
ES_UPDATE_DATA_DUMP_FILE = dump10000_up.zip
ES_INIT_DATA_CONFIG_FILE = seta-public-000001-8.2-mapping.json

INDEX = seta-public-000001
INDEX_SUGGESTION = seta-suggestion-000001
INDEX_PUBLIC = seta-public-000001
INDEX_TAXONOMY = seta-taxonomy-000001

#======================================#

#============Flask Configuration========#
#https://flask.palletsprojects.com/en/2.2.x/config/

#The secret key used to encode and decode JWTs    
SECRET_KEY = "no-need-for-secret"

#Exceptions are re-raised rather than being handled by the app's error handlers.
PROPAGATE_EXCEPTIONS = yes

# ~50M
MAX_CONTENT_LENGTH = 52_428_800

#Enable testing mode?
TESTING = no

#======================================#

#===========Flask-RESTX Configuration========#
#https://flask-restx.readthedocs.io/en/latest/configuration.html

#disable the mask documentation in swagger
RESTX_MASK_SWAGGER = no

#! no info about this one
SWAGGER_UI_JSONEDITOR = yes
#======================================# 

#============Flask-JWT-Extended Configuration========#
#https://flask-jwt-extended.readthedocs.io/en/stable/options/



#The claim in a JWT that is used as the source of identity
JWT_IDENTITY_CLAIM = seta_id

#Enable Cross Site Request Forgery (CSRF) protection
JWT_COOKIE_CSRF_PROTECT = no

#Controls if the secure flag should be placed on cookies
JWT_COOKIE_SECURE = no

#Where to look for a JWT when processing a request in the specified order.
JWT_TOKEN_LOCATION = headers,cookies

#Authorization API endpoint
INTERNAL_AUTHORIZATION_API = http://auth:8082/authorization/v1/

# root url for catalogue api
CATALOGUE_API_ROOT_URL = http://ui:8080/seta-ui/api/v1/catalogue/

# root url for seta-nlp
NLP_API_ROOT_URL = http://nlp:8000/
#======================================#

[Development]
JWT_COOKIE_SECURE = no

[Production]
JWT_COOKIE_SECURE = yes

[Test]
TESTING = yes
CATALOGUE_API_ROOT_URL = http://ui-test:8080/seta-ui/api/v1/catalogue/
NLP_API_ROOT_URL = http://nlp-test:8000/
INTERNAL_AUTHORIZATION_API = http://auth-test:8082/authorization/v1/